algorithm with underscore in layer name does not work
Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23041
Description

the algorithm

import vector layer in database (avaible connection)
does not work if the layer's name contains an underscore.
for example: 'localisation_2'

The error message is:
ERROR 1: Could not fetch requested layer 'localisation_2'!

Only with gdal2 (QGIS 2.15-dev)

Associated revisions

Revision c81b14d5 - 2016-06-22 02:16 PM - Alexander Bruy

[processing] replace original layer name with exported in the final OGR command (fix #15099)

Revision 78881d64 - 2016-06-22 02:20 PM - Alexander Bruy

[processing] replace original layer name with exported in the final OGR command (fix #15099)

(cherry picked from commit c81b14d59ec578bf678cab2c71b821de574ac0c3)

History

#1 - 2016-06-21 11:54 PM - Giovanni Manghi
- Target version set to Version 2.16
- Priority changed from Normal to Severe/Regression

Confirmed here, and is a regression.

A question: why in this tool(s) now the path of the input layer (in the resulting ogr2ogr command) point to the temp dir and not to the real place of the file?

#2 - 2016-06-21 11:59 PM - Giovanni Manghi
- Subject changed from algorithm with underscore in layer name does not work (gdal2) to algorithm with underscore in layer name does not work
It happens also on Linux with gdal 1.11.*

it seems that when creating the ogr2ogr command, now in master the input file name is stripped of the "_" (and maybe other chars).

#3 - 2016-06-22 03:55 AM - Alexander Bruy

Giovanni Manghi wrote:

A question: why in this tool(s) now the path of the input layer (in the resulting ogr2ogr command) point to the temp dir and not to the real place of the

file?

Because now Processing exports all vector layers into common format, that can be used by all backends and also to use only selected features in external

tools which can't handle QGIS selection

#4 - 2016-06-22 05:15 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"c81b14d59ec578bf678cab2c71b821de574ac0c3".

#5 - 2016-06-22 05:55 AM - Giovanni Manghi

Because now Processing exports all vector layers into common format, that can be used by all backends and also to use only selected features in

external tools which can't handle QGIS selection

thanks Alex!

2025-12-15 22



